Index: /code/branches/libraries/cmake/BuildConfig.cmake
===================================================================
--- /code/branches/libraries/cmake/BuildConfig.cmake	(revision 5665)
+++ /code/branches/libraries/cmake/BuildConfig.cmake	(revision 5666)
@@ -31,5 +31,5 @@
 SET(DEFAULT_LIBRARY_PATH lib)
 SET(DEFAULT_ARCHIVE_PATH lib/static)
-SET(DEFAULT_PLUGIN_PATH  lib/plugins)
+SET(DEFAULT_MODULE_PATH  lib/modules)
 SET(DEFAULT_DOC_PATH     doc)
 SET(DEFAULT_MEDIA_PATH   media)
@@ -41,5 +41,5 @@
 SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${DEFAULT_LIBRARY_PATH})
 SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${DEFAULT_ARCHIVE_PATH})
-SET(CMAKE_PLUGIN_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/${DEFAULT_PLUGIN_PATH})
+SET(CMAKE_MODULE_OUTPUT_DIRECTORY  ${CMAKE_BINARY_DIR}/${DEFAULT_MODULE_PATH})
 # Do not set doc and media, rather check in the two subdirectories
 # whether they concur with the DEFAULT_..._PATH
@@ -72,4 +72,6 @@
 ENDIF()
 
+# Set the extension of the dynamic modules
+SET(ORXONOX_MODULE_EXTENSION ".module")
 
 ################# OGRE Plugins ##################
@@ -134,5 +136,5 @@
   SET(ORXONOX_LIBRARY_INSTALL_PATH ${DEFAULT_LIBRARY_PATH})
   SET(ORXONOX_ARCHIVE_INSTALL_PATH ${DEFAULT_ARCHIVE_PATH})
-  SET(ORXONOX_PLUGIN_INSTALL_PATH  ${DEFAULT_PLUGIN_PATH})
+  SET(ORXONOX_MODULE_INSTALL_PATH  ${DEFAULT_MODULE_PATH})
   SET(ORXONOX_DOC_INSTALL_PATH     ${DEFAULT_DOC_PATH})
   SET(ORXONOX_MEDIA_INSTALL_PATH   ${DEFAULT_MEDIA_PATH})
@@ -145,5 +147,5 @@
   SET(ORXONOX_LIBRARY_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/lib/orxonox)
   SET(ORXONOX_ARCHIVE_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/lib/orxonox/static)
-  SET(ORXONOX_PLUGIN_INSTALL_PATH  ${CMAKE_INSTALL_PREFIX}/lib/orxonox/plugins)
+  SET(ORXONOX_MODULE_INSTALL_PATH  ${CMAKE_INSTALL_PREFIX}/lib/orxonox/modules)
   SET(ORXONOX_DOC_INSTALL_PATH     ${CMAKE_INSTALL_PREFIX}/share/doc/orxonox)
   SET(ORXONOX_MEDIA_INSTALL_PATH   ${CMAKE_INSTALL_PREFIX}/share/orxonox)
@@ -156,5 +158,5 @@
   SET(ORXONOX_LIBRARY_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/${DEFAULT_LIBRARY_PATH})
   SET(ORXONOX_ARCHIVE_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/${DEFAULT_ARCHIVE_PATH})
-  SET(ORXONOX_PLUGIN_INSTALL_PATH  ${CMAKE_INSTALL_PREFIX}/${DEFAULT_PLUGIN_PATH})
+  SET(ORXONOX_MODULE_INSTALL_PATH  ${CMAKE_INSTALL_PREFIX}/${DEFAULT_MODULE_PATH})
   SET(ORXONOX_DOC_INSTALL_PATH     ${CMAKE_INSTALL_PREFIX}/${DEFAULT_DOC_PATH})
   SET(ORXONOX_MEDIA_INSTALL_PATH   ${CMAKE_INSTALL_PREFIX}/${DEFAULT_MEDIA_PATH})
Index: /code/branches/libraries/cmake/TargetUtilities.cmake
===================================================================
--- /code/branches/libraries/cmake/TargetUtilities.cmake	(revision 5665)
+++ /code/branches/libraries/cmake/TargetUtilities.cmake	(revision 5666)
@@ -35,5 +35,5 @@
  #      NO_SOURCE_GROUPS:  Don't create msvc source groups
  #      STATIC/SHARED:     Inherited from ADD_LIBRARY
- #      PLUGIN:            For dynamic plugin libraries
+ #      MODULE:            For dynamic module libraries
  #      WIN32:             Inherited from ADD_EXECUTABLE
  #      PCH_NO_DEFAULT:    Do not make precompiled header files default if
@@ -81,5 +81,5 @@
   SET(_switches   FIND_HEADER_FILES  EXCLUDE_FROM_ALL  ORXONOX_EXTERNAL
                   NO_DLL_INTERFACE   NO_SOURCE_GROUPS  ${_additional_switches}
-                  PCH_NO_DEFAULT     NO_INSTALL        PLUGIN)
+                  PCH_NO_DEFAULT     NO_INSTALL        MODULE)
   SET(_list_names LINK_LIBRARIES  VERSION   SOURCE_FILES  DEFINE_SYMBOL
                   TOLUA_FILES     PCH_FILE  PCH_EXCLUDE OUTPUT_NAME)
@@ -148,6 +148,7 @@
   ENDIF()
 
-  # PLUGIN A, always create shared libraries
-  IF(_arg_PLUGIN)
+  # MODULE A
+  # Always create shared libraries
+  IF(_arg_MODULE)
     SET(_arg_SHARED SHARED)
     SET(_arg_STATIC)
@@ -163,11 +164,11 @@
   ENDIF()
 
-  # PLUGIN B
-  IF (_arg_PLUGIN)
+  # MODULE B
+  IF (_arg_MODULE)
     SET_TARGET_PROPERTIES(${_target_name} PROPERTIES
-      RUNTIME_OUTPUT_DIRECTORY ${CMAKE_PLUGIN_OUTPUT_DIRECTORY} # Windows
-      LIBRARY_OUTPUT_DIRECTORY ${CMAKE_PLUGIN_OUTPUT_DIRECTORY} # Unix
+      RUNTIME_OUTPUT_DIRECTORY ${CMAKE_MODULE_OUTPUT_DIRECTORY} # Windows
+      LIBRARY_OUTPUT_DIRECTORY ${CMAKE_MODULE_OUTPUT_DIRECTORY} # Unix
     )
-    ADD_PLUGIN(${_target_name})
+    ADD_MODULE(${_target_name})
   ENDIF()
 
@@ -200,8 +201,8 @@
 
   IF(NOT _arg_STATIC AND NOT _arg_NO_INSTALL)
-    IF(_arg_PLUGIN)
+    IF(_arg_MODULE)
       INSTALL(TARGETS ${_target_name}
-        RUNTIME DESTINATION ${ORXONOX_PLUGIN_INSTALL_PATH}
-        LIBRARY DESTINATION ${ORXONOX_PLUGIN_INSTALL_PATH}
+        RUNTIME DESTINATION ${ORXONOX_MODULE_INSTALL_PATH}
+        LIBRARY DESTINATION ${ORXONOX_MODULE_INSTALL_PATH}
       )
     ELSE()
@@ -216,8 +217,8 @@
 
 
-# Creates a helper file with name <name_of_the_library>.plugin
-# This helps finding dynamically loadable plugins at runtime
-
-FUNCTION(ADD_PLUGIN _target)
+# Creates a helper file with name <name_of_the_library>.module
+# This helps finding dynamically loadable modules at runtime
+
+FUNCTION(ADD_MODULE _target)
   # We use the properties to get the name because the librarys name may differ from
   # the target name (for example orxonox <-> liborxonox)
@@ -228,23 +229,23 @@
   IF(CMAKE_CONFIGURATION_TYPES)
     FOREACH(_config ${CMAKE_CONFIGURATION_TYPES})
-      SET(_plugin_filename ${CMAKE_PLUGIN_OUTPUT_DIRECTORY}/${_config}/${_target_name}.plugin)
-
-      FILE(WRITE ${_plugin_filename})
+      SET(_module_filename ${CMAKE_MODULE_OUTPUT_DIRECTORY}/${_config}/${_target_name}${ORXONOX_MODULE_EXTENSION})
+
+      FILE(WRITE ${_module_filename})
 
       INSTALL(
-        FILES ${_plugin_filename}
-        DESTINATION ${ORXONOX_PLUGIN_INSTALL_PATH}
+        FILES ${_module_filename}
+        DESTINATION ${ORXONOX_MODULE_INSTALL_PATH}
         CONFIGURATIONS ${_config}
       )
     ENDFOREACH()
   ELSE()
-    SET(_plugin_filename ${CMAKE_PLUGIN_OUTPUT_DIRECTORY}/${_target_name}.plugin)
-
-    FILE(WRITE ${_plugin_filename})
+    SET(_module_filename ${CMAKE_MODULE_OUTPUT_DIRECTORY}/${_target_name}${ORXONOX_MODULE_EXTENSION})
+
+    FILE(WRITE ${_module_filename})
 
     INSTALL(
-      FILES ${_plugin_filename}
-      DESTINATION ${ORXONOX_PLUGIN_INSTALL_PATH}
+      FILES ${_module_filename}
+      DESTINATION ${ORXONOX_MODULE_INSTALL_PATH}
     )
   ENDIF()
-ENDFUNCTION(ADD_PLUGIN)
+ENDFUNCTION(ADD_MODULE)
Index: /code/branches/libraries/src/SpecialConfig.h.in
===================================================================
--- /code/branches/libraries/src/SpecialConfig.h.in	(revision 5665)
+++ /code/branches/libraries/src/SpecialConfig.h.in	(revision 5666)
@@ -74,5 +74,5 @@
     // INSTALLATION PATHS
     const char ORXONOX_RUNTIME_INSTALL_PATH[] = "@ORXONOX_RUNTIME_INSTALL_PATH@";
-    const char ORXONOX_PLUGIN_INSTALL_PATH[]  = "@ORXONOX_PLUGIN_INSTALL_PATH@";
+    const char ORXONOX_MODULE_INSTALL_PATH[]  = "@ORXONOX_MODULE_INSTALL_PATH@";
     const char ORXONOX_MEDIA_INSTALL_PATH[]   = "@ORXONOX_MEDIA_INSTALL_PATH@";
     /* Config and Log path might be relative because they could be user and therefore runtime dependent */
@@ -83,9 +83,9 @@
     const char ORXONOX_MEDIA_DEV_PATH[]       = "@CMAKE_MEDIA_OUTPUT_DIRECTORY@";
 #ifdef CMAKE_CONFIGURATION_TYPES
-    const char ORXONOX_PLUGIN_DEV_PATH[]      = "@CMAKE_PLUGIN_OUTPUT_DIRECTORY@/" BOOST_PP_STRINGIZE(CMAKE_BUILD_TYPE);
+    const char ORXONOX_MODULE_DEV_PATH[]      = "@CMAKE_MODULE_OUTPUT_DIRECTORY@/" BOOST_PP_STRINGIZE(CMAKE_BUILD_TYPE);
     const char ORXONOX_CONFIG_DEV_PATH[]      = "@CMAKE_CONFIG_OUTPUT_DIRECTORY@/" BOOST_PP_STRINGIZE(CMAKE_BUILD_TYPE);
     const char ORXONOX_LOG_DEV_PATH[]         = "@CMAKE_LOG_OUTPUT_DIRECTORY@/"    BOOST_PP_STRINGIZE(CMAKE_BUILD_TYPE);
 #else
-    const char ORXONOX_PLUGIN_DEV_PATH[]      = "@CMAKE_PLUGIN_OUTPUT_DIRECTORY@";
+    const char ORXONOX_MODULE_DEV_PATH[]      = "@CMAKE_MODULE_OUTPUT_DIRECTORY@";
     const char ORXONOX_CONFIG_DEV_PATH[]      = "@CMAKE_CONFIG_OUTPUT_DIRECTORY@";
     const char ORXONOX_LOG_DEV_PATH[]         = "@CMAKE_LOG_OUTPUT_DIRECTORY@";
@@ -94,4 +94,7 @@
     const char ORXONOX_DEP_LIB_PATH[]         = "@DEP_LIBRARY_DIR@";
 #endif
+
+    // Module extension
+    const char ORXONOX_MODULE_EXTENSION[]     = "@ORXONOX_MODULE_EXTENSION@";
 
     // OGRE PLUGINS
Index: /code/branches/libraries/src/core/Core.cc
===================================================================
--- /code/branches/libraries/src/core/Core.cc	(revision 5665)
+++ /code/branches/libraries/src/core/Core.cc	(revision 5666)
@@ -250,5 +250,5 @@
         boost::filesystem::path rootPath_;
         boost::filesystem::path executablePath_;        //!< Path to the executable
-        boost::filesystem::path pluginPath_;            //!< Path to the plugins
+        boost::filesystem::path modulePath_;            //!< Path to the modules
         boost::filesystem::path mediaPath_;             //!< Path to the media file folder
         boost::filesystem::path configPath_;            //!< Path to the config file folder
@@ -272,17 +272,17 @@
         this->dynLibManager_.reset(new DynLibManager());
 
-        // Load plugins
+        // Load modules
         try
         {
             // We search for helper files with the following extension
-            std::string pluginextension = ".plugin";
-            size_t pluginextensionlength = pluginextension.size();
+            std::string moduleextension = ORXONOX_MODULE_EXTENSION;
+            size_t moduleextensionlength = moduleextension.size();
 
             // Search in the directory of our executable
-            boost::filesystem::path searchpath = this->configuration_->pluginPath_;
-
-            // Add that path to the PATH variable in case a plugin depends on another one
+            boost::filesystem::path searchpath = this->configuration_->modulePath_;
+
+            // Add that path to the PATH variable in case a module depends on another one
             std::string pathVariable = getenv("PATH");
-            putenv(const_cast<char*>(("PATH=" + pathVariable + ";" + configuration_->pluginPath_.string()).c_str()));
+            putenv(const_cast<char*>(("PATH=" + pathVariable + ";" + configuration_->modulePath_.string()).c_str()));
 
             boost::filesystem::directory_iterator file(searchpath);
@@ -295,10 +295,10 @@
 
                 // Check if the file ends with the exension in question
-                if (filename.size() > pluginextensionlength)
+                if (filename.size() > moduleextensionlength)
                 {
-                    if (filename.substr(filename.size() - pluginextensionlength) == pluginextension)
+                    if (filename.substr(filename.size() - moduleextensionlength) == moduleextension)
                     {
                         // We've found a helper file - now load the library with the same name
-                        std::string library = filename.substr(0, filename.size() - pluginextensionlength);
+                        std::string library = filename.substr(0, filename.size() - moduleextensionlength);
                         boost::filesystem::path librarypath = searchpath / library;
 
@@ -309,9 +309,9 @@
                         catch (const std::exception& e)
                         {
-                            COUT(1) << "Couldn't load plugin \"" << librarypath.string() << "\": " << e.what() << std::endl;
+                            COUT(1) << "Couldn't load module \"" << librarypath.string() << "\": " << e.what() << std::endl;
                         }
                         catch (...)
                         {
-                            COUT(1) << "Couldn't load plugin \"" << librarypath.string() << "\"" << std::endl;
+                            COUT(1) << "Couldn't load module \"" << librarypath.string() << "\"" << std::endl;
                         }
                     }
@@ -323,12 +323,12 @@
         catch (const std::exception& e)
         {
-            COUT(1) << "An error occurred while loading plugins: " << e.what() << std::endl;
+            COUT(1) << "An error occurred while loading modules: " << e.what() << std::endl;
         }
         catch (...)
         {
-            COUT(1) << "An error occurred while loading plugins." << std::endl;
-        }
-
-        // Parse command line arguments AFTER the plugins have been loaded (static code!)
+            COUT(1) << "An error occurred while loading modules." << std::endl;
+        }
+
+        // Parse command line arguments AFTER the modules have been loaded (static code!)
         CommandLine::parseCommandLine(cmdLine);
 
@@ -574,5 +574,5 @@
     /**
     @brief
-        Retrievs the executable path and sets all hard coded fixed path (currently only plugin path)
+        Retrievs the executable path and sets all hard coded fixed path (currently only the module path)
         Also checks for "orxonox_dev_build.keep_me" in the executable diretory.
         If found it means that this is not an installed run, hence we
@@ -631,5 +631,5 @@
 
         /////////////////////
-        // SET PLUGIN PATH //
+        // SET MODULE PATH //
         /////////////////////
 
@@ -638,5 +638,5 @@
             COUT(1) << "Running from the build tree." << std::endl;
             Core::bDevRun_ = true;
-            configuration_->pluginPath_ = ORXONOX_PLUGIN_DEV_PATH;
+            configuration_->modulePath_ = ORXONOX_MODULE_DEV_PATH;
         }
         else
@@ -654,12 +654,12 @@
                 ThrowException(General, "Could not derive a root directory. Might the binary installation directory contain '..' when taken relative to the installation prefix path?");
 
-            // Plugin path is fixed as well
-            configuration_->pluginPath_ = configuration_->rootPath_ / ORXONOX_PLUGIN_INSTALL_PATH;
+            // Module path is fixed as well
+            configuration_->modulePath_ = configuration_->rootPath_ / ORXONOX_MODULE_INSTALL_PATH;
 
 #else
 
             // There is no root path, so don't set it at all
-            // Plugin path is fixed as well
-            configuration_->pluginPath_ = ORXONOX_PLUGIN_INSTALL_PATH;
+            // Module path is fixed as well
+            configuration_->modulePath_ = ORXONOX_MODULE_INSTALL_PATH;
 
 #endif
Index: /code/branches/libraries/src/core/DynLib.cc
===================================================================
--- /code/branches/libraries/src/core/DynLib.cc	(revision 5665)
+++ /code/branches/libraries/src/core/DynLib.cc	(revision 5666)
@@ -64,5 +64,5 @@
     {
         // Log library load
-        COUT(2) << "Loading plugin " << mName << std::endl;
+        COUT(2) << "Loading module " << mName << std::endl;
 
 		std::string name = mName;
@@ -86,5 +86,5 @@
     {
         // Log library unload
-        COUT(4) << "Unloading plugin " << mName << std::endl;
+        COUT(4) << "Unloading module " << mName << std::endl;
 
         if( DYNLIB_UNLOAD( m_hInst ) )
Index: /code/branches/libraries/src/orxonox/gamestates/CMakeLists.txt
===================================================================
--- /code/branches/libraries/src/orxonox/gamestates/CMakeLists.txt	(revision 5665)
+++ /code/branches/libraries/src/orxonox/gamestates/CMakeLists.txt	(revision 5666)
@@ -12,5 +12,5 @@
 
 ORXONOX_ADD_LIBRARY(gamestates
-  PLUGIN
+  MODULE
   DEFINE_SYMBOL
     "GAMESTATES_SHARED_BUILD"
Index: /code/branches/libraries/src/orxonox/objects/quest/CMakeLists.txt
===================================================================
--- /code/branches/libraries/src/orxonox/objects/quest/CMakeLists.txt	(revision 5665)
+++ /code/branches/libraries/src/orxonox/objects/quest/CMakeLists.txt	(revision 5666)
@@ -21,9 +21,9 @@
 ADD_SUBDIRECTORY(notifications)
 
-# add the parent directory for tolua (TODO: remove this if the quest plugin is moved somewhere else)
+# add the parent directory for tolua (TODO: remove this if the quest module is moved somewhere else)
 INCLUDE_DIRECTORIES(..)
 
 ORXONOX_ADD_LIBRARY(quest
-  PLUGIN
+  MODULE
   TOLUA_FILES
     QuestDescription.h
Index: /code/branches/libraries/src/orxonox/overlays/CMakeLists.txt
===================================================================
--- /code/branches/libraries/src/orxonox/overlays/CMakeLists.txt	(revision 5665)
+++ /code/branches/libraries/src/orxonox/overlays/CMakeLists.txt	(revision 5666)
@@ -15,5 +15,5 @@
 
 ORXONOX_ADD_LIBRARY(overlays
-  PLUGIN
+  MODULE
   FIND_HEADER_FILES
   DEFINE_SYMBOL