Index: /trunk/src/lib/coord/p_node.cc
===================================================================
--- /trunk/src/lib/coord/p_node.cc	(revision 5670)
+++ /trunk/src/lib/coord/p_node.cc	(revision 5671)
@@ -141,20 +141,20 @@
   static_cast<BaseObject*>(this)->loadParams(root);
 
-  LoadParamNEW(root, "rel-coor", this, PNode, setRelCoor)
+  LoadParam(root, "rel-coor", this, PNode, setRelCoor)
       .describe("Sets The relative position of the Node to its parent.");
 
-  LoadParamNEW(root, "abs-coor", this, PNode, setAbsCoor)
+  LoadParam(root, "abs-coor", this, PNode, setAbsCoor)
       .describe("Sets The absolute Position of the Node.");
 
-  LoadParamNEW(root, "rel-dir", this, PNode, setRelDir)
+  LoadParam(root, "rel-dir", this, PNode, setRelDir)
       .describe("Sets The relative rotation of the Node to its parent.");
 
-  LoadParamNEW(root, "abs-dir", this, PNode, setAbsDir)
+  LoadParam(root, "abs-dir", this, PNode, setAbsDir)
       .describe("Sets The absolute rotation of the Node.");
 
-  LoadParamNEW(root, "parent", this, PNode, setParent)
+  LoadParam(root, "parent", this, PNode, setParent)
       .describe("the Name of the Parent of this PNode");
 
-  LoadParamNEW(root, "parent-mode", this, PNode, setParentMode)
+  LoadParam(root, "parent-mode", this, PNode, setParentMode)
       .describe("the mode to connect this node to its parent ()");
 
Index: /trunk/src/lib/graphics/light.cc
===================================================================
--- /trunk/src/lib/graphics/light.cc	(revision 5670)
+++ /trunk/src/lib/graphics/light.cc	(revision 5671)
@@ -88,17 +88,17 @@
   static_cast<PNode*>(this)->loadParams(root);
 
-  LoadParamNEW(root, "diffuse-color", this, Light, setDiffuseColor)
+  LoadParam(root, "diffuse-color", this, Light, setDiffuseColor)
       .describe("sets the diffuse color of the Light (red [0-1], green [0-1], blue [0-1])");
 
-  LoadParamNEW(root, "specular-color", this, Light, setSpecularColor)
+  LoadParam(root, "specular-color", this, Light, setSpecularColor)
       .describe("sets the specular color of the Light (red [0-1], green [0-1], blue [0-1])");
 
-  LoadParamNEW(root, "attenuation", this, Light, setAttenuation)
+  LoadParam(root, "attenuation", this, Light, setAttenuation)
       .describe("sets the Attenuation of the LightSource (constant Factor, linear Factor, quadratic Factor).");
 
-  LoadParamNEW(root, "spot-direction", this, Light, setSpotDirection)
+  LoadParam(root, "spot-direction", this, Light, setSpotDirection)
       .describe("sets the Direction of the Spot");
 
-  LoadParamNEW(root, "spot-cutoff", this, Light, setSpotCutoff)
+  LoadParam(root, "spot-cutoff", this, Light, setSpotCutoff)
       .describe("the cuttoff of the Spotlight");
 }
@@ -261,5 +261,5 @@
       .describe("an XML-Element to load lights from.");
 
-  LoadParamNEW(root, "ambient-color", this, LightManager, setAmbientColor)
+  LoadParam(root, "ambient-color", this, LightManager, setAmbientColor)
       .describe("sets the ambient Color of the Environmental Light");
 }
Index: /trunk/src/lib/graphics/render2D/element_2d.cc
===================================================================
--- /trunk/src/lib/graphics/render2D/element_2d.cc	(revision 5670)
+++ /trunk/src/lib/graphics/render2D/element_2d.cc	(revision 5671)
@@ -130,34 +130,34 @@
 {
   // ELEMENT2D-native settings.
-  LoadParamNEW(root, "alignment", this, Element2D, setAlignment)
+  LoadParam(root, "alignment", this, Element2D, setAlignment)
       .describe("loads the alignment: (either: center, left, right or screen-center)");
 
-  LoadParamNEW(root, "layer", this, Element2D, setLayer)
+  LoadParam(root, "layer", this, Element2D, setLayer)
       .describe("loads the layer onto which to project: (either: top, medium, bottom, below-all)");
 
-  LoadParamNEW(root, "bind-node", this, Element2D, setBindNode)
+  LoadParam(root, "bind-node", this, Element2D, setBindNode)
       .describe("sets a node, this 2D-Element should be shown upon (name of the node)");
 
-  LoadParamNEW(root, "visibility", this, Element2D, setVisibility)
+  LoadParam(root, "visibility", this, Element2D, setVisibility)
       .describe("if the Element is visible or not");
 
 
 // PNode-style:
-  LoadParamNEW(root, "rel-coor", this, Element2D, setRelCoor2D)
+  LoadParam(root, "rel-coor", this, Element2D, setRelCoor2D)
       .describe("Sets The relative position of the Node to its parent.");
 
-  LoadParamNEW(root, "abs-coor", this, Element2D, setAbsCoor2D)
+  LoadParam(root, "abs-coor", this, Element2D, setAbsCoor2D)
       .describe("Sets The absolute Position of the Node.");
 
-  LoadParamNEW(root, "rel-dir", this, Element2D, setRelDir2D)
+  LoadParam(root, "rel-dir", this, Element2D, setRelDir2D)
       .describe("Sets The relative rotation of the Node to its parent.");
 
-  LoadParamNEW(root, "abs-dir", this, Element2D, setAbsDir2D)
+  LoadParam(root, "abs-dir", this, Element2D, setAbsDir2D)
       .describe("Sets The absolute rotation of the Node.");
 
-  LoadParamNEW(root, "parent", this, Element2D, setParent2D)
+  LoadParam(root, "parent", this, Element2D, setParent2D)
       .describe("the Name of the Parent of this Element2D");
 
-  LoadParamNEW(root, "parent-mode", this, Element2D, setParentMode2D)
+  LoadParam(root, "parent-mode", this, Element2D, setParentMode2D)
       .describe("the mode to connect this node to its parent ()");
 
Index: /trunk/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.cc
===================================================================
--- /trunk/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.cc	(revision 5670)
+++ /trunk/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.cc	(revision 5671)
@@ -57,17 +57,17 @@
 void GLMenuImageScreen::loadParams(const TiXmlElement* root)
 {
-  LoadParamNEW(root, "BackgroundImage", this, GLMenuImageScreen, setBackgroundImage)
+  LoadParam(root, "BackgroundImage", this, GLMenuImageScreen, setBackgroundImage)
     .describe("sets the image to load onto the loadscreen");
 
-  LoadParamNEW(root, "BackgroundPS", this, GLMenuImageScreen, setPosScale)
+  LoadParam(root, "BackgroundPS", this, GLMenuImageScreen, setPosScale)
     .describe("The Position and Scale of the Background Image in %(0-1.0). PosX, PosY, SizeX, SizeY");
 
-  LoadParamNEW(root, "BarImage", this, GLMenuImageScreen, setBarImage)
+  LoadParam(root, "BarImage", this, GLMenuImageScreen, setBarImage)
     .describe("sets the image of the LoadingBar");
 
-  LoadParamNEW(root, "BarPS", this, GLMenuImageScreen, setBarPosScale)
+  LoadParam(root, "BarPS", this, GLMenuImageScreen, setBarPosScale)
     .describe("The Position and Scale of the Loading Bar in %(0-1.0). PosX, PosY, SizeX, SizeY");
 
-  LoadParamNEW(root, "ElementCount", this, GLMenuImageScreen, setMaximum)
+  LoadParam(root, "ElementCount", this, GLMenuImageScreen, setMaximum)
     .describe("The Count of elements to load into the bar (this is only a maximum value)");
 }
Index: /trunk/src/lib/lang/base_object.cc
===================================================================
--- /trunk/src/lib/lang/base_object.cc	(revision 5670)
+++ /trunk/src/lib/lang/base_object.cc	(revision 5671)
@@ -62,5 +62,5 @@
 {
   // name setup
-  LoadParamNEW(root, "name", this, BaseObject, setName)
+  LoadParam(root, "name", this, BaseObject, setName)
       .describe("the Name of the Object.");
 }
Index: /trunk/src/lib/particles/particle_emitter.cc
===================================================================
--- /trunk/src/lib/particles/particle_emitter.cc	(revision 5670)
+++ /trunk/src/lib/particles/particle_emitter.cc	(revision 5671)
@@ -95,27 +95,27 @@
   static_cast<PNode*>(this)->loadParams(root);
 
-  LoadParamNEW(root, "type", this, ParticleEmitter, setType)
+  LoadParam(root, "type", this, ParticleEmitter, setType)
     .describe("What type of emitter is this [dot, plane, cube, sphere].");
 
-  LoadParamNEW(root, "size", this, ParticleEmitter, setSize)
+  LoadParam(root, "size", this, ParticleEmitter, setSize)
     .describe("How big the emitter is (no effect on dot-emitters)");
 
-  LoadParamNEW(root, "rate", this, ParticleEmitter, setEmissionRate)
+  LoadParam(root, "rate", this, ParticleEmitter, setEmissionRate)
     .describe("How many particles should be emittet from this emitter");
 
-  LoadParamNEW(root, "inherit-speed", this, ParticleEmitter, setInheritSpeed)
+  LoadParam(root, "inherit-speed", this, ParticleEmitter, setInheritSpeed)
     .describe("the extent, the speed of the emitter has on the particles");
 
-  LoadParamNEW(root, "emission-velocity", this, ParticleEmitter, setEmissionVelocity)
+  LoadParam(root, "emission-velocity", this, ParticleEmitter, setEmissionVelocity)
     .describe("How fast the particles are emittet (their initial speed)");
 
-  LoadParamNEW(root, "emission-momentum", this, ParticleEmitter, setEmissionMomentum)
+  LoadParam(root, "emission-momentum", this, ParticleEmitter, setEmissionMomentum)
       .describe("How fast the particles rotation is at emissiontime (their initial momentum)");
 
-  LoadParamNEW(root, "spread", this, ParticleEmitter, setSpread)
+  LoadParam(root, "spread", this, ParticleEmitter, setSpread)
     .describe("The angle the particles are emitted from (angle, deviation)");
 
 
-  LoadParamNEW(root, "emission-direction", this, ParticleEmitter, setDirection);
+  LoadParam(root, "emission-direction", this, ParticleEmitter, setDirection);
 }
 
Index: /trunk/src/lib/particles/particle_system.cc
===================================================================
--- /trunk/src/lib/particles/particle_system.cc	(revision 5670)
+++ /trunk/src/lib/particles/particle_system.cc	(revision 5671)
@@ -119,14 +119,14 @@
   static_cast<PhysicsInterface*>(this)->loadParams(root);
 
-  LoadParamNEW(root, "max-count", this, ParticleSystem, setMaxCount)
+  LoadParam(root, "max-count", this, ParticleSystem, setMaxCount)
       .describe("the maximal count of Particles, that can be emitted into this system");
 
-  LoadParamNEW(root, "life-span", this, ParticleSystem, setLifeSpan)
+  LoadParam(root, "life-span", this, ParticleSystem, setLifeSpan)
       .describe("sets the life-span of the Particles.");
 
-  LoadParamNEW(root, "conserve", this, ParticleSystem, setConserve)
+  LoadParam(root, "conserve", this, ParticleSystem, setConserve)
       .describe("sets the Conserve factor of the Particles (1.0: they keep all their energy, 0.0:they keep no energy)");
 
-  LoadParamNEW(root, "type", this, ParticleSystem, setType)
+  LoadParam(root, "type", this, ParticleSystem, setType)
       .describe("sets the type of the Particles, (dot, spark, sprite or model)");
 
Index: /trunk/src/lib/physics/fields/field.cc
===================================================================
--- /trunk/src/lib/physics/fields/field.cc	(revision 5670)
+++ /trunk/src/lib/physics/fields/field.cc	(revision 5671)
@@ -60,9 +60,9 @@
   static_cast<PNode*>(this)->loadParams(root);
 
-  LoadParamNEW(root, "magnitude", this, Field, setMagnitude)
+  LoadParam(root, "magnitude", this, Field, setMagnitude)
       .describe("sets the magnitude of this Field")
       ->defaultValues(1, 1);
 
-  LoadParamNEW(root, "attenuation", this, Field, setAttenuation)
+  LoadParam(root, "attenuation", this, Field, setAttenuation)
       .describe("sets the attenuation of this Field.");
 
Index: /trunk/src/lib/physics/physics_connection.cc
===================================================================
--- /trunk/src/lib/physics/physics_connection.cc	(revision 5670)
+++ /trunk/src/lib/physics/physics_connection.cc	(revision 5671)
@@ -52,8 +52,8 @@
   static_cast<BaseObject*>(this)->loadParams(root);
 
-  LoadParamNEW(root, "subject", this, PhysicsConnection, setSubject)
+  LoadParam(root, "subject", this, PhysicsConnection, setSubject)
       .describe("set the subject by a name");
 
-  LoadParamNEW(root, "field", this, PhysicsConnection, setField)
+  LoadParam(root, "field", this, PhysicsConnection, setField)
       .describe("set the field by name");
 
Index: /trunk/src/story_entities/campaign.cc
===================================================================
--- /trunk/src/story_entities/campaign.cc	(revision 5670)
+++ /trunk/src/story_entities/campaign.cc	(revision 5671)
@@ -75,5 +75,5 @@
   static_cast<BaseObject*>(this)->loadParams(root);
 
-  LoadParamNEW(root, "identifier", this, Campaign, setStoryID)
+  LoadParam(root, "identifier", this, Campaign, setStoryID)
      .describe("A Unique Identifier for this Campaign");
 
Index: /trunk/src/story_entities/world.cc
===================================================================
--- /trunk/src/story_entities/world.cc	(revision 5670)
+++ /trunk/src/story_entities/world.cc	(revision 5671)
@@ -186,11 +186,11 @@
   PRINTF(4)("Creating a World\n");
 
-  LoadParamNEW(root, "identifier", this, World, setStoryID)
+  LoadParam(root, "identifier", this, World, setStoryID)
     .describe("Sets the StoryID of this world");
 
-  LoadParamNEW(root, "nextid", this, World, setNextStoryID)
+  LoadParam(root, "nextid", this, World, setNextStoryID)
     .describe("Sets the ID of the next world");
 
-  LoadParamNEW(root, "path", this, World, setPath)
+  LoadParam(root, "path", this, World, setPath)
     .describe("The Filename of this World (relative from the data-dir)");
 }
Index: /trunk/src/util/loading/load_param.cc
===================================================================
--- /trunk/src/util/loading/load_param.cc	(revision 5670)
+++ /trunk/src/util/loading/load_param.cc	(revision 5671)
@@ -32,5 +32,5 @@
  * @param executor the Executor, that executes the loading procedure.
  */
-LoadParam::LoadParam(const TiXmlElement* root, const char* paramName, BaseObject* object, const Executor& executor, bool inLoadCycle)
+CLoadParam::CLoadParam(const TiXmlElement* root, const char* paramName, BaseObject* object, const Executor& executor, bool inLoadCycle)
 {
   this->paramName = paramName;
@@ -63,5 +63,5 @@
  * Execution-Conditions are met, they are executed here.
  */
-LoadParam::~LoadParam()
+CLoadParam::~CLoadParam()
 {
   if (likely(this->executor != NULL))
@@ -84,5 +84,5 @@
  * @param ... the default values !! must be at least count parameters!!
  */
-LoadParam* LoadParam::defaultValues(unsigned int count, ...)
+CLoadParam* CLoadParam::defaultValues(unsigned int count, ...)
 {
   if (this == NULL)
@@ -104,5 +104,5 @@
  * @returns a pointer to itself.
 */
-LoadParam* LoadParam::describe(const char* descriptionText)
+CLoadParam* CLoadParam::describe(const char* descriptionText)
 {
   if (LoadClassDescription::parametersDescription && this->paramDesc && !this->paramDesc->getDescription())
Index: /trunk/src/util/loading/load_param.h
===================================================================
--- /trunk/src/util/loading/load_param.h	(revision 5670)
+++ /trunk/src/util/loading/load_param.h	(revision 5671)
@@ -45,15 +45,15 @@
  * @param FUNCTION The function of Class to Load (if you want to call &CLASS::FUNCTION write FUNCTION here).
  */
-#define LoadParamNEW(ROOT, PARAMETER_NAME, OBJECT, CLASS, FUNCTION) \
-         LoadParam(ROOT, PARAMETER_NAME, OBJECT, ExecutorObjective<CLASS>(&CLASS::FUNCTION), false)
+#define LoadParam(ROOT, PARAMETER_NAME, OBJECT, CLASS, FUNCTION) \
+         CLoadParam(ROOT, PARAMETER_NAME, OBJECT, ExecutorObjective<CLASS>(&CLASS::FUNCTION), false)
 
 #define LoadParam_CYCLE(ROOT, PARAMETER_NAME, OBJECT, CLASS, FUNCTION) \
-         LoadParam(ROOT, PARAMETER_NAME, OBJECT, ExecutorObjective<CLASS>(&CLASS::FUNCTION), true)
+         CLoadParam(ROOT, PARAMETER_NAME, OBJECT, ExecutorObjective<CLASS>(&CLASS::FUNCTION), true)
 
 #define LoadParamXML(ROOT, PARAMETER_NAME, OBJECT, CLASS, FUNCTION) \
-         LoadParam(ROOT, PARAMETER_NAME, OBJECT, ExecutorXML<CLASS>(&CLASS::FUNCTION, ROOT, PARAMETER_NAME), false)
+         CLoadParam(ROOT, PARAMETER_NAME, OBJECT, ExecutorXML<CLASS>(&CLASS::FUNCTION, ROOT, PARAMETER_NAME), false)
 
 #define LoadParamXML_CYCLE(ROOT, PARAMETER_NAME, OBJECT, CLASS, FUNCTION) \
-         LoadParam(ROOT, PARAMETER_NAME, OBJECT, ExecutorXML<CLASS>(&CLASS::FUNCTION, ROOT, PARAMETER_NAME), true)
+         CLoadParam(ROOT, PARAMETER_NAME, OBJECT, ExecutorXML<CLASS>(&CLASS::FUNCTION, ROOT, PARAMETER_NAME), true)
 
 
@@ -85,12 +85,12 @@
 **************************/
 //! abstract Base class for a Loadable parameter
-class LoadParam : public BaseObject
+class CLoadParam : public BaseObject
 {
   public:
-    LoadParam(const TiXmlElement* root, const char* paramName, BaseObject* object, const Executor& executor, bool inLoadCycle = false);
-    ~LoadParam();
+    CLoadParam(const TiXmlElement* root, const char* paramName, BaseObject* object, const Executor& executor, bool inLoadCycle = false);
+    ~CLoadParam();
 
-    LoadParam* describe(const char* descriptionText);
-    LoadParam* defaultValues(unsigned int count, ...);
+    CLoadParam* describe(const char* descriptionText);
+    CLoadParam* defaultValues(unsigned int count, ...);
 
 
@@ -101,5 +101,5 @@
     const char*              paramName;
 
-    LoadClassDescription*    classDesc;            //!< The LoadClassDescription of this LoadParameter
+    LoadClassDescription*    classDesc;            //!< The LoadClassDescription of this CLoadParameter
     LoadParamDescription*    paramDesc;            //!< The LoadParameterDescription of this LoadParameter
     const char*              loadString;           //!< The string loaded by this LoadParam
Index: /trunk/src/util/loading/load_param_description.h
===================================================================
--- /trunk/src/util/loading/load_param_description.h	(revision 5670)
+++ /trunk/src/util/loading/load_param_description.h	(revision 5671)
@@ -56,5 +56,5 @@
 class LoadClassDescription
 {
-  friend class LoadParam;
+  friend class CLoadParam;
  public:
   LoadClassDescription(const char* className);
Index: /trunk/src/world_entities/skybox.cc
===================================================================
--- /trunk/src/world_entities/skybox.cc	(revision 5670)
+++ /trunk/src/world_entities/skybox.cc	(revision 5671)
@@ -55,8 +55,8 @@
   static_cast<WorldEntity*>(this)->loadParams(root);
 
-  LoadParamNEW(root, "Materialset", this, SkyBox, setTexture)
+  LoadParam(root, "Materialset", this, SkyBox, setTexture)
       .describe("Sets the material on the SkyBox. The string must be the path relative to the data-dir, and without a trailing .jpg");
 
-  LoadParamNEW(root, "Size", this, SkyBox, setSize)
+  LoadParam(root, "Size", this, SkyBox, setSize)
       .describe("Sets the Size of the SkyBox (normally this should be 90% of the maximal viewing Distance).");
 }
Index: /trunk/src/world_entities/terrain.cc
===================================================================
--- /trunk/src/world_entities/terrain.cc	(revision 5670)
+++ /trunk/src/world_entities/terrain.cc	(revision 5671)
@@ -104,5 +104,5 @@
   static_cast<WorldEntity*>(this)->loadParams(root);
 
-  LoadParamNEW(root, "vegetation", this, Terrain, loadVegetation)
+  LoadParam(root, "vegetation", this, Terrain, loadVegetation)
       .describe("the fileName of the vegetation, that should be loaded onto this terrain. (must be relative to the data-dir)") ;
 }
Index: /trunk/src/world_entities/weapons/aim.cc
===================================================================
--- /trunk/src/world_entities/weapons/aim.cc	(revision 5670)
+++ /trunk/src/world_entities/weapons/aim.cc	(revision 5671)
@@ -70,11 +70,11 @@
   static_cast<PNode*>(this)->loadParams(root);
 
-  LoadParamNEW(root, "texture", this, Aim, setTexture)
+  LoadParam(root, "texture", this, Aim, setTexture)
       .describe("the texture-file to load onto the Aim");
 
-  LoadParamNEW(root, "size", this, Aim, setSize)
+  LoadParam(root, "size", this, Aim, setSize)
       .describe("the size of the Aim in Pixels");
 
-  LoadParamNEW(root, "rotation-speed", this, Aim, setRotationSpeed)
+  LoadParam(root, "rotation-speed", this, Aim, setRotationSpeed)
       .describe("the Speed with which the Aim should rotate");
 }
Index: /trunk/src/world_entities/weapons/crosshair.cc
===================================================================
--- /trunk/src/world_entities/weapons/crosshair.cc	(revision 5670)
+++ /trunk/src/world_entities/weapons/crosshair.cc	(revision 5671)
@@ -84,11 +84,11 @@
   static_cast<EventListener*>(this)->loadParams(root);
 
-  LoadParamNEW(root, "texture", this, Crosshair, setTexture)
+  LoadParam(root, "texture", this, Crosshair, setTexture)
       .describe("the texture-file to load onto the Crosshair");
 
-  LoadParamNEW(root, "size", this, Crosshair, setSize)
+  LoadParam(root, "size", this, Crosshair, setSize)
       .describe("the size of the Crosshair in Pixels");
 
-  LoadParamNEW(root, "rotation-speed", this, Crosshair, setRotationSpeed)
+  LoadParam(root, "rotation-speed", this, Crosshair, setRotationSpeed)
       .describe("the Speed with which the Crosshair should rotate");
 }
Index: /trunk/src/world_entities/weapons/weapon.cc
===================================================================
--- /trunk/src/world_entities/weapons/weapon.cc	(revision 5670)
+++ /trunk/src/world_entities/weapons/weapon.cc	(revision 5671)
@@ -109,14 +109,14 @@
   static_cast<WorldEntity*>(this)->loadParams(root);
 
-  LoadParamNEW(root, "projectile", this, Weapon, setProjectileType)
+  LoadParam(root, "projectile", this, Weapon, setProjectileType)
       .describe("Sets the name of the Projectile to load onto the Entity");
 
-  LoadParamNEW(root, "emission-point", this, Weapon, setEmissionPoint)
+  LoadParam(root, "emission-point", this, Weapon, setEmissionPoint)
       .describe("Sets the Point of emission of this weapon");
 
-  LoadParamNEW(root, "state-duration", this, Weapon, setStateDuration)
+  LoadParam(root, "state-duration", this, Weapon, setStateDuration)
       .describe("Sets the duration of a given state (1: state-Name; 2: duration in seconds)");
 
-  LoadParamNEW(root, "action-sound", this, Weapon, setActionSound)
+  LoadParam(root, "action-sound", this, Weapon, setActionSound)
       .describe("Sets a given sound to an action (1: action-Name; 2: name of the sound (relative to the Data-Path))");
 }
Index: /trunk/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- /trunk/src/world_entities/weapons/weapon_manager.cc	(revision 5670)
+++ /trunk/src/world_entities/weapons/weapon_manager.cc	(revision 5671)
@@ -119,5 +119,5 @@
   static_cast<BaseObject*>(this)->loadParams(root);
 
-  LoadParamNEW(root, "slot-count", this, WeaponManager, setSlotCount)
+  LoadParam(root, "slot-count", this, WeaponManager, setSlotCount)
       .describe("how many slots(cannons) the WeaponManager can handle");
 
Index: /trunk/src/world_entities/world_entity.cc
===================================================================
--- /trunk/src/world_entities/world_entity.cc	(revision 5670)
+++ /trunk/src/world_entities/world_entity.cc	(revision 5671)
@@ -76,5 +76,5 @@
 
   // Model Loading
-  LoadParamNEW(root, "model", this, WorldEntity, loadModel)
+  LoadParam(root, "model", this, WorldEntity, loadModel)
       .describe("the fileName of the model, that should be loaded onto this world-entity. (must be relative to the data-dir)")
       ->defaultValues(2, NULL, 1.0f);